Subject: bug#50695: closed (Re: bug#50695: Sorting by columns broken on NonGNU/GNU ELPA web pages)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 01 Oct 2021 19:56:02 +0000

Your bug report

#50695: Sorting by columns broken on NonGNU/GNU ELPA web pages

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
50695: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=50695
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#50695: Sorting by columns broken on NonGNU/GNU ELPA web pages
From: Stefan Monnier <[email-masked]>
To: Stefan Kangas <[email-masked]>
Cc: [email-masked]
Date: Fri, 01 Oct 2021 15:55:41 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

> So I guess the JavaScript directory for some reason is no longer where
> it should be.

Somehow a /etc/apache2/conf-enabled/javascript-common.conf
symlink appeared which redirected /javascript to some other directory.
I believe it's been restored now,

        Stefan

Subject: Sorting by columns broken on NonGNU/GNU ELPA web pages
From: Stefan Kangas <[email-masked]>
To: [email-masked]
Date: Sun, 19 Sep 2021 23:09:43 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Severity: minor

We used to have the capability to sort by columns on the NonGNU/GNU ELPA
web pages:

    https://elpa.gnu.org/packages/

But now it seems broken.  The JavaScript that ran this is still in the
HTML header of that page:

        <script src="../javascript/jquery.min.js"
type="text/javascript"></script>
        <script src="../javascript/jquery.filtertable.min.js"
type="text/javascript"></script>
        <script src="../javascript/package-search.js"
type="text/javascript"></script>

But the URL's themselves give 404:

    ~ $ curl https://elpa.gnu.org/javascript/jquery.min.js
    <!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN">
    <html><head>
    <title>404 Not Found</title>
    </head><body>
    <h1>Not Found</h1>
    <p>The requested URL was not found on this server.</p>
    <hr>
    <address>Apache/2.4.48 (Debian) Server at elpa.gnu.org Port 443</address>
    </body></html>
    ~ $ curl https://elpa.gnu.org/javascript/jquery.filtertable.min.js
    [same as above]
    ~ $ curl https://elpa.gnu.org/javascript/package-search.js
    [same as above]

So I guess the JavaScript directory for some reason is no longer where
it should be.